Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Aktualizacja Sparky po miesięcznym nieużywaniu ...

Zaczęty przez ciubaka, Lipiec 05, 2022, 08:09:38 PM

Poprzedni wątek - Następny wątek

ciubaka

Dzień dobry.
Chciałem dziś zaktualizować system.
Najpierw  Apptusem, ale nie zadziałało, więc spróbowałem w terminalu, sudo apt update a potem upgrade.
A terminal najpierw międlił,jakieś tablice grub mi pokazywał i się zawiesił na nich.
Po czym przy powtórce zaczął pokazywać tak:

E: Could not get lock /var/lib/dpkg/lock-frontend. It is held by process 6280 (apt)
N: Be aware that removing the lock file is not a solution and may break your system.
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), is another process using it?

Jak z tego wybrnąć?
Z góry dziękuję za pomoc i pozdrawiam.
Paweł



pavroo

Witaj,
1. Która wersja Sparka?
2. Pokaż jakie używasz repo:
cat /etc/apt/sources.list
cat /etc/sources.list.d/sparky.list
3. Pokąż wynik aktualizacji z terminala:
sparky-upgrade
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

ciubaka

Sparky 7 Rolling Orion Belt

ciubaka@ciubaka-latitudee6530:~$ cat /etc/apt/sources.list
deb http://deb.debian.org/debian bookworm main contrib non-free
deb-src http://deb.debian.org/debian bookworm main contrib non-free
deb http://security.debian.org/debian-security/ bookworm-security/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ bookworm-security/updates main contrib non-free
deb http://deb-multimedia.org/ bookworm main non-freedeb http://deb.debian.org/debian/ bullseye main contrib non-free 

## Other repos can be found in /etc/apt/sources.list.d directory ##


ciubaka@ciubaka-latitudee6530:~$ cat /etc/sources.list.d/sparky.list
cat: /etc/sources.list.d/sparky.list: Nie ma takiego pliku ani katalogu


sparku upgrade wywala masę textu który nie daje się skopiowac...






pavroo

Sorry, mój błąd, pokaż:
cat /etc/apt/sources.list.d/sparky.list
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

ciubaka

#4
ciubaka@ciubaka-latitudee6530:~$ cat /etc/apt/sources.list.d/sparky.list
### sparky core repository is used by all sparky editions
deb [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ core main
deb-src [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ core main

### sparky orion repository
deb [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ orion main
deb-src [signed-by=/usr/share/keyrings/sparky.gpg.key] https://repo.sparkylinux.org/ orion main

pavroo

#5
Repo jest w porządku.
Bez pełnego wyniku aktualizacji nie jestem w stanie nic więcej zrobić.
sudo apt updateoraz
sudo apt full-upgrade
Używasz jakiś dodatkowych repozytoriów?

p.s.
Do wklejania kodu użyj znaczników code.
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

ciubaka

#6
ciubaka-latitudee6530:~$ sudo apt update
[sudo] hasło użytkownika ciubaka:
Pobieranie:1 http://deb.debian.org/debian bookworm InRelease [130 kB]
Stary:2 http://security.debian.org/debian-security bookworm-security/updates InRelease
Pobieranie:3 http://deb.debian.org/debian bookworm/main Sources.diff/Index [63,6 kB]
Pobieranie:4 http://deb.debian.org/debian bookworm/main amd64 Packages.diff/Index [63,6 kB]
Pobieranie:5 http://deb.debian.org/debian bookworm/main i386 Packages.diff/Index [63,6 kB]
Pobieranie:6 http://deb.debian.org/debian bookworm/main Sources T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [2 143 B]
Pobieranie:7 http://deb.debian.org/debian bookworm/main amd64 Packages T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [7 648 B]
Pobieranie:6 http://deb.debian.org/debian bookworm/main Sources T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [2 143 B]
Pobieranie:7 http://deb.debian.org/debian bookworm/main amd64 Packages T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [7 648 B]
Pobieranie:8 http://deb.debian.org/debian bookworm/main i386 Packages T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [7 738 B]
Pobieranie:8 http://deb.debian.org/debian bookworm/main i386 Packages T-2022-07-06-0802.04-F-2022-07-06-0802.04.pdiff [7 738 B]
Stary:9 http://deb-multimedia.org bookworm InRelease                           
Stary:10 https://repo.sparkylinux.org unstable InRelease               
Stary:11 https://repo.sparkylinux.org core InRelease
Stary:12 https://repo.sparkylinux.org orion InRelease
Pobrano 338 kB w 18s (18,6 kB/s)
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności... Gotowe
Odczyt informacji o stanie... Gotowe   
10 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: Skipping acquire of configured file 'non-freedeb/binary-i386/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'non-freedeb' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-freedeb/binary-amd64/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'non-freedeb' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-freedeb/i18n/Translation-en' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'non-freedeb' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-freedeb/i18n/Translation-pl' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'non-freedeb' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-freedeb/i18n/Translation-pl_PL' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'non-freedeb' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'http://deb.debian.org/debian//binary-i386/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'http://deb.debian.org/debian/' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'http://deb.debian.org/debian//binary-amd64/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'http://deb.debian.org/debian/' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'http://deb.debian.org/debian//i18n/Translation-en' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'http://deb.debian.org/debian/' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'http://deb.debian.org/debian//i18n/Translation-pl' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'http://deb.debian.org/debian/' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'http://deb.debian.org/debian//i18n/Translation-pl_PL' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'http://deb.debian.org/debian/' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'bullseye/binary-amd64/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'bullseye' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'bullseye/binary-i386/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'bullseye' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'bullseye/i18n/Translation-pl' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'bullseye' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'bullseye/i18n/Translation-pl_PL' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'bullseye' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'bullseye/i18n/Translation-en' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'bullseye' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-amd64/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-i386/Packages' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-en' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-pl' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-pl_PL' as repository 'http://deb-multimedia.org bookworm InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
ciubaka@ciubaka-latitudee6530:~$

Po full upgrade :
Could not get lock /var/lib/dpkg/lock-frontend. It iWaiting for cache lock: Could not get lock /var/lib/dpkg/lock-frontend. It is held by process 6280 (apt)...
 i tak wkoło Macieju

pavroo

Z ostatniej informacji wynika, że inne aplikacje używają apt lub apt-get i z tego powodu zrobiony jest lock/lock-frontend.
Zbij wszystkie procesy używające apt:
sudo killall -9 apt apt-get aptitude nala synapticUsuń pliki lock:
sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock*
Następnie:
sudo dpkg --configure -a
sudo sparky-upgrade
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

ciubaka

Dziękuję Pawle za pomoc.
Co prawda terminal mruczał, że nie ma nic do ubicia i nic do usunięcia, ale system się zaktualizował.
Musze jeszcze sprawdzić, co będzie po restarcie.
Pozdrawiam.

ciubaka

Dzisiaj niestety podobne problemy, na innym kompie, tym razem Sparky Stable, Po Tolo 6.5.
Wszelkie próby aktualizacji wszelkimi metodami pokazują, że albo nic do zrobienia (nieprawda), albo kończą się w terminalu niebieską tablicą GRUB, która staje na 58 % niewiadomoczego - i koniec.
Żadne z opisanych powyżej działań nie prowadzą do innych skutków.
Czy ktoś ma jakiś pomysł?

pavroo

Tak, pokaż cały wynik poleceń:
sudo apt update && sudo apt full-upgrade
Czasami lepiej trzymać usta zamknięte i być traktowany jak idiota, niż je otworzyć i rozwiać wszelkie wątpliwości. Mark Twain

ciubaka

DOBRA, ALE MOŻE Z WIECZORA. GENERALNIE POJAWIA SIĘ W TERMINALU BŁĘKITNA TABLICA AKTUALIZOWANIA GRUB I NA TYM ZAWISA. WCZORAJ COŚ JESZCZE ZNALAZŁEM POD BOOT-REPAIR, ŻEBY WTEDY NIE WCISKAĆ ENTER, ALE TAB+ENTER. I COŚ JAKBY SIĘ AKTUALIZOWAŁO, ZOBACZYMY PO RESTARCIE...

Zobacz najnowsze wiadomości na forum